move.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_FORWARD(_Tp, __val)
#define | _GLIBCXX_MOVE(__val)

## Functions

template<typename _Tp >
_Tp * | std::__addressof (_Tp &__r) noexcept
template<typename _Tp >
_Tp * | std::addressof (_Tp &__r) noexcept
template<typename _Tp >
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &__t) noexcept
template<typename _Tp >
constexpr _Tp && | std::forward (typename std::remove_reference< _Tp >::type &&__t) noexcept
template<typename _Tp >
constexpr std::remove_reference< _Tp > ::type && | std::move (_Tp &&__t) noexcept
template<typename _Tp >
constexpr conditional < __move_if_noexcept_cond< _Tp > ::value, const _Tp &, _Tp && > ::type | std::move_if_noexcept (_Tp &__x) noexcept
template<typename _Tp >
void | std::swap (_Tp &__a, _Tp &__b) noexcept(__and_< is_nothrow_move_constructible< _Tp >,is_nothrow_move_assignable< _Tp >>::value)
template<typename _Tp , size_t _Nm>
void | std::swap (_Tp(&__a)[_Nm], _Tp(&__b)[_Nm]) noexcept(noexcept(swap(*__a,*__b)))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <utility>.

Definition in file move.h.